package com.sckw.mongo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum BusSumEnum {

    VERIFICATION_CODE("VERIFICATION_CODE", "SMS_262585113", "验证码", "您的验证码为:${code}，该验证码为平台重要凭证，请勿泄露于他人！");

    private String type;

    private String name;

    private String title;

    private String value;

    public static String getNameByValue(String value) {
        for (BusSumEnum entityEnum : BusSumEnum.values()) {
            if (entityEnum.getValue().equals(value)) {
                return entityEnum.getName();
            }
        }
        return null;
    }

}
